lib/gurren_web/router.ex
defmodule GurrenWeb.Router do
  use GurrenWeb, :router

  pipeline :browser do
    plug :accepts, ["html"]
    plug :fetch_session
    plug :fetch_flash
    plug :protect_from_forgery
    plug :put_secure_browser_headers
  end

  pipeline :api do
    plug :accepts, ["json"]
    # resources "/users", UserController
    # resources "/sessions", SessionController, only: [:index, :show, :delete]
  end

  scope "/", GurrenWeb do
    pipe_through :browser # Use the default browser stack

    get "/", PageController, :index

    resources "/users", UserController, only: [:create, :new, :index, :show, :edit, :update, :delete]

    resources "/sessions", SessionController, only: [:index, :show, :edit, :update, :delete]
    get "/sign-in", SessionController, :new
    post "/sign-in", SessionController, :create
  end

  # Other scopes may use custom stacks.
  # scope "/api", GurrenWeb do
  #   pipe_through :api
  # end
end

lib/gurren_web/views/layout_view.ex
defmodule GurrenWeb.LayoutView do
  use GurrenWeb, :view
end

lib/gurren_web/templates/layout/app.html.eex
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Gurren">
    <meta name="author" content="FractalMan">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
    <script type="text/javascript">isDarkTheme=true;</script>
    <script>window.userUsername =
      <%= if current_user(@conn) do %>
        "<%= current_user(@conn).username %>"
      <% else %>
        null
      <% end %>
    ;</script>
    <title>Gurren</title>
  </head>
  <body>

    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link rel='stylesheet' href='//cdn.jsdelivr.net/font-hack/2.020/css/hack.min.css'>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link rel="stylesheet" href="<%= static_path(@conn, "/css/app.css") %>">
    </head>

    <body class="ht-body ht-tm-neon-glow">
      <div class="ht-main">
        <header class="ht-header">
          <nav role="navigation">

            <div class="ht-navbar-wrapper ht-navbar-wrapper-sticky">
              <div class="container ht-navbar ht-navbar-dark">
                <a href="/" class="ht-header-logo">
                  <div class ="fractal-logo" style="width:50px; max-width:50px;display: inline-block;"></div>
                </a>

                <div class="ht-nav-wrapper">
                  <div class="ht-mobile-nav-toggle">
                    <a href="#!"> <span class="fa fa-close text-white"></span></a>
                  </div>
                  <a href="/" class="ht-mobile-nav-logo">
                    <div class ="fractal-logo" style="width:50px; max-width:50px;display: inline-block;"></div>
                  </a>

                  <div class="ht-nav">
                    <div class="ht-nav-item ht-nav-dropdown">
                      <span href="/" class="ht-nav-link ht-nav-dropdown-toggle">Links</a>
                      <div class="ht-nav-dropdown-menu">
                        <a href="<%= static_path(@conn, "/pdf/Ruben_AguiarCV.pdf") %>" class="ht-nav-dropdown-menu-link">
                          <span class="ht-nav-dropdown-menu-link-heading">CV</span></a>
                        <a href="https://gitlab.com/r.aguiar9080" class="ht-nav-dropdown-menu-link">
                          <span class="ht-nav-dropdown-menu-link-heading">GitLab</span></a>
                        <a href="https://www.youtube.com/channel/UCRffdUVFiyCC5-2rw_2OeGw" class="ht-nav-dropdown-menu-link">
                          <span class="ht-nav-dropdown-menu-link-heading">Youtube</span></a>
                        <a href="https://soundcloud.com/thefractalman" class="ht-nav-dropdown-menu-link">
                          <span class="ht-nav-dropdown-menu-link-heading">SoundCloud</span></a>
                      </div>
                      <div class="ht-nav-dropdown-menu-triangle"></div>
                      <div class="ht-nav-dropdown-menu-hoverhelper"> </div>
                    </div>

                    <%= if signed_in?(@conn) do %>
                      <div class="ht-nav-item ht-nav-dropdown">
                        <span href="/" class="ht-nav-link ht-nav-dropdown-toggle"><%=current_user(@conn).username %></a>

                        <div class="ht-nav-dropdown-menu">
                          <%= link to: session_path(@conn, :delete, :logout), method: :delete, class: "ht-nav-dropdown-menu-link" do %>
                            <span class="ht-nav-dropdown-menu-link-heading">Sign Out</span>
                          <% end %>
                        </div>
                        <div class="ht-nav-dropdown-menu-triangle"></div>
                        <div class="ht-nav-dropdown-menu-hoverhelper"> </div>
                      </div>
                    <% else %>
                      <div class="ht-nav-item ht-nav-dropdown">
                        <span href="/" class="ht-nav-link ht-nav-dropdown-toggle">Account</a>
                        <div class="ht-nav-dropdown-menu">
                          <%= link to: session_path(@conn, :new), class: "ht-nav-dropdown-menu-link" do %>
                            <span class="ht-nav-dropdown-menu-link-heading">Sign In</span>
                          <% end %>
                          <%= link to: user_path(@conn, :new), class: "ht-nav-dropdown-menu-link" do %>
                            <span class="ht-nav-dropdown-menu-link-heading">Sign Up</span>
                          <% end %>
                        </div>
                        <div class="ht-nav-dropdown-menu-triangle"></div>
                        <div class="ht-nav-dropdown-menu-hoverhelper"> </div>
                      </div>
                    <% end %>
                  </div>
                </div>
                <div class="ht-mobile-nav-toggle ht-nav-visible bg-light text-dark">
                  <a href="#!"> <span class="fa fa-bars"></span></a>
                </div>
              </div>
            </div>
          </nav>
        </header>

        <main role="main">
          <div id="ht-tm-jumbotron">
            <div class="jumbotron bg-transparent mb-0 radius-0">
              <div class="container">
                <div class="ht-tm-codeblock ht-tm-needs-darkness">
                  <%= if get_flash(@conn, :info) do %>
                    <div class="ht-tm-element alert alert-info alert-dismissable fade show" role="alert">
                      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">×</span>
                      </button><%= get_flash(@conn, :info) %>
                    </div>
                  <% end %>
                  <%= if get_flash(@conn, :error) do %>
                    <div class="ht-tm-element alert alert-danger" role="alert">
                      <%= get_flash(@conn, :error) %>
                    </div>
                  <% end %>
                </div>
                <%= render @view_module, @view_template, assigns %>
              </div>
            </div>
          </div>
        </main>

        <footer class="ht-footer">
          <div class="container ht-footer-container">
            <div class="ht-footer-left">
            </div>
            <a href="/" class="ht-footer-logo">
              <div class ="fractal-logo" style="width:50px; height:50px;display: inline-block;"></div>
            </a>

            <div class="ht-footer-right">
            </div>
          </div>
        </footer>


      </div> <!-- /container -->
      <script src="<%= static_path(@conn, "/js/app.js") %>"></script>
    </body>
</html>